# cli programs should be available on servers and desktop
{ pkgs, ... }:
{
  programs.zsh.enable = true;
  programs.fzf = {
    fuzzyCompletion = true;
    keybindings = true;
  };

  environment.systemPackages = with pkgs; [
    ansible
    atuin
    bat
    btop
    busybox
    cargo
    catnip
    cmatrix
    coreutils
    curl
    dnsutils
    emacs-nox
    fd
    findutils
    fzf
    gnugrep
    gnumake
    gnupg
    imagemagick
    jq
    git
    glances
    htop
    lazygit
    lazydocker
    lsd
    magic-wormhole
    mc
    micro
    mosh
    mpc-cli
    mpd
    mpv
    mtr
    neofetch
    netcat-gnu
    nixd
    neovim
    ollama
    pandoc
    pass
    pciutils
    pinentry-all
    ripgrep
    rustc
    slides
    starship
    syncthing
    tmux
    tokei
    tree
    unzip
    usbutils
    wget
    whois
    wl-clipboard
    wirelesstools
    yazi
    yt-dlp
    zellij
    zoxide
    zsh-autosuggestions
  ];
}
